Bug 1876015 - gnome-abrt-1.3.6-3.fc33.x86_64 requires libreport-gtk.so.0()(64bit), but none of the providers can be installed
Summary: gnome-abrt-1.3.6-3.fc33.x86_64 requires libreport-gtk.so.0()(64bit), but none...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 33
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: Michal Fabik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 21:57 UTC by Matt Fagnani
Modified: 2021-11-05 10:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-05 10:15:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Fagnani 2020-09-04 21:57:11 UTC
Description of problem:

I ran the following in a F33 KDE Plasma spin installation to test the abrt-2.14.4-3.fc33 update https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef47dbae61
bodhi updates download --updateid FEDORA-2020-ef47dbae61
sudo dnf upgrade *rpm

The error indicated that gnome-abrt-1.3.6-3.fc33.x86_64 requires libreport-gtk.so.0. 

Problem: cannot install both libreport-gtk-2.14.0-6.fc33.x86_64 and libreport-gtk-2.13.1-4.fc33.x86_64
  - package gnome-abrt-1.3.6-3.fc33.x86_64 requires libreport-gtk.so.0()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package libreport-gtk-2.14.0-4.fc33.x86_64
  - cannot install the best update candidate for package gnome-abrt-1.3.6-2.fc33.x86_64
=======================================================================================================
 Package                                 Architecture  Version               Repository           Size
=======================================================================================================
Upgrading:
 abrt                                    x86_64        2.14.4-3.fc33         @commandline        497 k
 abrt-addon-ccpp                         x86_64        2.14.4-3.fc33         @commandline        132 k
 abrt-addon-kerneloops                   x86_64        2.14.4-3.fc33         @commandline         50 k
 abrt-addon-pstoreoops                   x86_64        2.14.4-3.fc33         @commandline         26 k
 abrt-addon-vmcore                       x86_64        2.14.4-3.fc33         @commandline         38 k
 abrt-addon-xorg                         x86_64        2.14.4-3.fc33         @commandline         41 k
 abrt-cli                                x86_64        2.14.4-3.fc33         @commandline         16 k
 abrt-dbus                               x86_64        2.14.4-3.fc33         @commandline         72 k
 abrt-desktop                            x86_64        2.14.4-3.fc33         @commandline         16 k
 abrt-gui                                x86_64        2.14.4-3.fc33         @commandline         48 k
 abrt-gui-libs                           x86_64        2.14.4-3.fc33         @commandline         28 k
 abrt-libs                               x86_64        2.14.4-3.fc33         @commandline         42 k
 abrt-plugin-bodhi                       x86_64        2.14.4-3.fc33         @commandline         33 k
 abrt-retrace-client                     x86_64        2.14.4-3.fc33         @commandline         37 k
 abrt-tui                                x86_64        2.14.4-3.fc33         @commandline         44 k
 libreport                               x86_64        2.14.0-6.fc33         @commandline        510 k
 libreport-anaconda                      x86_64        2.14.0-6.fc33         @commandline         24 k
 libreport-cli                           x86_64        2.14.0-6.fc33         @commandline         29 k
 libreport-fedora                        x86_64        2.14.0-6.fc33         @commandline         20 k
 libreport-filesystem                    noarch        2.14.0-6.fc33         @commandline         14 k
 libreport-gtk                           x86_64        2.14.0-6.fc33         @commandline         81 k
 libreport-plugin-bugzilla               x86_64        2.14.0-6.fc33         @commandline         66 k
 libreport-plugin-kerneloops             x86_64        2.14.0-6.fc33         @commandline         26 k
 libreport-plugin-logger                 x86_64        2.14.0-6.fc33         @commandline         31 k
 libreport-plugin-reportuploader         x86_64        2.14.0-6.fc33         @commandline         41 k
 libreport-plugin-systemd-journal        x86_64        2.14.0-6.fc33         @commandline         23 k
 libreport-plugin-ureport                x86_64        2.14.0-6.fc33         @commandline         36 k
 libreport-web                           x86_64        2.14.0-6.fc33         @commandline         33 k
 python3-abrt                            x86_64        2.14.4-3.fc33         @commandline         42 k
 python3-abrt-addon                      noarch        2.14.4-3.fc33         @commandline         25 k
 python3-libreport                       x86_64        2.14.0-6.fc33         @commandline         49 k
 satyr                                   x86_64        0.31-3.fc33           @commandline        118 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libreport-gtk                           x86_64        2.13.1-4.fc33         fedora               79 k
Skipping packages with broken dependencies:
 gnome-abrt                              x86_64        1.3.6-3.fc33          @commandline        140 k

Transaction Summary
=======================================================================================================
Upgrade  32 Packages
Skip      2 Packages

Total size: 2.2 M


libreport-gtk-2.14.0-6.fc33 provides libreport-gtk.so.1 https://koji.fedoraproject.org/koji/rpminfo?rpmID=23075640


Version-Release number of selected component (if applicable):
gnome-abrt-1.3.6-3.fc33.x86_64
libreport-gtk-2.14.0-6.fc33.x86_64

How reproducible:
The error happened 2/2 times.

Steps to Reproduce:
1. Boot an F33 KDE Plasma spin installation fully updated to 2020-9-4 with updates-testing enabled
2. Log into Plasma
3. start konsole
4. bodhi updates download --updateid FEDORA-2020-ef47dbae61
5. sudo dnf upgrade *rpm

Actual results:
dnf error involving gnome-abrt-1.3.6-3.fc33.x86_64 requires libreport-gtk.so.0

Expected results:
No error would happen.

Additional info:
gnome-abrt-1.3.6-2.fc33 did require libreport-gtk.so.1
https://koji.fedoraproject.org/koji/rpminfo?rpmID=23005809

Comment 1 Ben Cotton 2021-11-04 17:30:43 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Matt Fagnani 2021-11-05 10:15:01 UTC
This error was fixed in the gnome-abrt-1.3.6-5.fc33 update https://bodhi.fedoraproject.org/updates/FEDORA-2020-444a3363f0


Note You need to log in before you can comment on or make changes to this bug.